> ## Documentation Index
> Fetch the complete documentation index at: https://loops.so/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a campaign

> Retrieve a single campaign by ID.

<Warning>
  Content API endpoints are currently in an open alpha and are subject to
  change.
</Warning>

## Request

### Path parameters

<ParamField path="campaignId" type="string" required>
  The ID of the campaign.
</ParamField>

## Response

### Success

<ResponseField name="success" type="boolean" required />

<ResponseField name="campaignId" type="string" required>
  The campaign ID.
</ResponseField>

<ResponseField name="name" type="string" required>
  The campaign name.
</ResponseField>

<ResponseField name="status" type="string" required>
  The campaign status.
</ResponseField>

<ResponseField name="createdAt" type="string" required>
  ISO 8601 timestamp for when the campaign was created.
</ResponseField>

<ResponseField name="updatedAt" type="string" required>
  ISO 8601 timestamp for when the campaign was last updated.
</ResponseField>

<ResponseField name="emailMessageId" type="nullable string" required>
  The associated email message ID.
</ResponseField>

### Error

A `400 Bad Request` is returned if `campaignId` is invalid.

A `404 Not Found` is returned if the campaign does not exist.

If the API key is invalid (or content API is not enabled for your team), a
`401 Unauthorized` is returned.

<ResponseField name="success" type="boolean" required />

<ResponseField name="message" type="string" required>
  An error message describing what went wrong.
</ResponseField>

<ResponseExample>
  ```json Response theme={"dark"}
  {
    "success": true,
    "campaignId": "cmp_01hxyz",
    "name": "Spring announcement",
    "status": "Draft",
    "createdAt": "2026-03-28T15:00:00.000Z",
    "updatedAt": "2026-03-28T15:10:00.000Z",
    "emailMessageId": "em_01hxyz"
  }
  ```

  ```json Error response theme={"dark"}
  {
    "success": false,
    "message": "Campaign not found."
  }
  ```
</ResponseExample>
